#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint clover_connect.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'clover_connect'
  s.version          = '0.0.2'
  s.summary          = 'A flutter plugin to connect flutter app with Clover payment devices.'
  s.description      = <<-DESC
A flutter plugin to connect flutter app with Clover payment devices.
                       DESC
  s.homepage         = 'https://github.com/phan-dev/flutter-clover-connect'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Phan.dev' => 'pub@phan.dev' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'

  # The queuePriority branch of our fork of the Starscream framework is required for reliable transport of large files
  # Defining it here in the PodFile overrides the podspec dependency, which isn't allowed to specify a specific location and branch
  # pod 'Starscream', :git => 'https://github.com/clover/Starscream.git', :branch => 'queuePriority-3.0.0'
  # pod 'CloverConnector', :git => 'https://github.com/clover/remote-pay-ios.git', :tag => '4.0.0'
  s.dependency 'Starscream'
  s.dependency 'CloverConnector'
  s.platform = :ios, '9.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.3'
end
