import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:clover_connect/clover_connect.dart';

void main() {
  const MethodChannel channel = MethodChannel('clover_connect');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  // test('getPlatformVersion', () async {
  //   expect(await CloverConnect.platformVersion, '42');
  // });
}
