//
//  Constants.swift
//  clover_connect
//
//  Created by Phan.dev
//

import Foundation

struct Settings {
    
}

struct Methods {
    static let connect = "connect"
    static let disconnect = "disconnect"
    static let getCurrentStatus = "getCurrentStatus"
    static let getPairingCode = "getPairingCode"
    static let sale = "sale"
    
    struct Responses {
        static let connect = "Connecting"
        static let disconnect = "Disconnecting"
        static let sale = "Sale Processing"
    }
}

struct Messages {
    struct Clover {
        static let saleProcessing = "Sale Processing"
        static let disconnecting = "Disconnecting"
    }
}

struct Events {
    static let onPairingCode = "onPairingCode"
    static let onPairingSuccess = "onPairingSuccess"
    static let onDeviceDisconnected = "onDeviceDisconnected"
    static let onDeviceConnected = "onDeviceConnected"
    static let onDeviceReady = "onDeviceReady"
    static let onVerifySignatureRequest = "onVerifySignatureRequest"
    static let onConfirmPaymentRequest = "onConfirmPaymentRequest"
    static let onSaleResponse = "onSaleResponse"
    static let onAuthResponse = "onAuthResponse"
    static let onPreAuthResponse = "onPreAuthResponse"
    static let onDeviceActivityStart = "onDeviceActivityStart"
    static let onDeviceActivityEnd = "onDeviceActivityEnd"
}
